/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: concerto@1.0.0

// imports

// Warning: Beware of circular dependencies when modifying these imports
import type {
	IAdjustableDates,
	IAdjustableDatesBuilder,
	IAmountSchedule,
	IAmountScheduleBuilder,
	INonNegativeStep,
	INonNegativeStepBuilder,
	IComputedAmount,
	IComputedAmountBuilder,
	IInterestShortFall,
	IInterestShortFallBuilder,
	ITradeHeaderBuilder,
	ITradeHeader,
	IPaymentDetail,
	IPaymentDetailBuilder,
	IPaymentRule,
	IPaymentRuleBuilder,
	IAllocationOutcome,
	IAllocationOutcomeBuilder,
	IAccount,
	IAccountBuilder,
	IContractualDefinitionsEnum,
	IBermudaExercise,
	IBermudaExerciseBuilder,
	IContractualMatrix,
	IContractualMatrixBuilder,
	IPhysicalExercise,
	IPhysicalExerciseBuilder,
	IInterestRateCurveBuilder,
	IInterestRateCurve,
	IRelativeDateOffset,
	IRelativeDateOffsetBuilder,
	IPayoutLineage,
	IPayoutLineageBuilder,
	IManualExercise,
	IManualExerciseBuilder,
	IGeneralTerms,
	IGeneralTermsBuilder,
	IListedProduct,
	IListedProductBuilder,
	IRoundingDirectionEnum,
	INewTradePrimitiveBuilder,
	INewTradePrimitive,
	IIndexReferenceInformationBuilder,
	IIndexReferenceInformation,
	IContractOrContractReference,
	IContractOrContractReferenceBuilder,
	IStepRelativeToEnum,
	ITransactedPriceBuilder,
	ITransactedPrice,
	IStep,
	IStepBuilder,
	IFxLinkedNotionalAmount,
	IFxLinkedNotionalAmountBuilder,
	IEarlyTerminationEvent,
	IEarlyTerminationEventBuilder,
	IObservationPrimitive,
	IObservationPrimitiveBuilder,
	IValuationDate,
	IValuationDateBuilder,
	IPartyRole,
	IPartyRoleBuilder,
	ITimeUnitEnum,
	ITimeZone,
	ITimeZoneBuilder,
	ITranche,
	ITrancheBuilder,
	IStrategyFeature,
	IStrategyFeatureBuilder,
	IFloatingAmountEvents,
	IFloatingAmountEventsBuilder,
	ICollateral,
	ICollateralBuilder,
	ICurveBuilder,
	ICurve,
	IPassThrough,
	IPassThroughBuilder,
	IQuotationStyleEnum,
	IReferencePoolItemBuilder,
	IReferencePoolItem,
	IStubPeriod,
	IStubPeriodBuilder,
	IEvent,
	IEventBuilder,
	ITransfer,
	ITransferBuilder,
	ISpreadScheduleTypeEnum,
	IAdditionalFixedPayments,
	IAdditionalFixedPaymentsBuilder,
	IEuropeanExerciseBuilder,
	IEuropeanExercise,
	ICreditSeniorityTradingEnum,
	IBarrier,
	IBarrierBuilder,
	IQuoteBasisEnum,
	IBusinessDayAdjustments,
	IBusinessDayAdjustmentsBuilder,
	IPeriodExtendedEnum,
	IFloatingRateDefinition,
	IFloatingRateDefinitionBuilder,
	IAllocationPrimitiveBuilder,
	IAllocationPrimitive,
	IFxRateBuilder,
	IFxRate,
	IExtendibleProvisionAdjustedDatesBuilder,
	IExtendibleProvisionAdjustedDates,
	IRelativeDatesBuilder,
	IRelativeDates,
	IActionEnum,
	IOptionStrike,
	IOptionStrikeBuilder,
	IResetPrimitive,
	IResetPrimitiveBuilder,
	IAveragingPeriodBuilder,
	IAveragingPeriod,
	IPercentageRuleBuilder,
	IPercentageRule,
	ICalculationAgent,
	ICalculationAgentBuilder,
	INaturalPerson,
	INaturalPersonBuilder,
	IBusinessDateRangeBuilder,
	IBusinessDateRange,
	ICancelableProvision,
	ICancelableProvisionBuilder,
	IBrokerConfirmationTypeEnum,
	IQuotationRateTypeEnum,
	IPriceSourceDisruptionBuilder,
	IPriceSourceDisruption,
	ICreditDefaultPayout,
	ICreditDefaultPayoutBuilder,
	ICashPriceMethodBuilder,
	ICashPriceMethod,
	ITimeTypeEnum,
	IInformationProviderEnum,
	IRollConventionEnum,
	IMortgage,
	IMortgageBuilder,
	IAssetClassEnum,
	IGoverningLawEnum,
	ICategoryEnum,
	IPaymentDiscounting,
	IPaymentDiscountingBuilder,
	IReferenceSwapCurve,
	IReferenceSwapCurveBuilder,
	IInterestRate,
	IInterestRateBuilder,
	IPartyContractIdentifierBuilder,
	IPartyContractIdentifier,
	IOptionTypeEnum,
	IConvertibleBondBuilder,
	IConvertibleBond,
	IOffset,
	IOffsetBuilder,
	IStandardSettlementStyleEnum,
	IPaymentDates,
	IPaymentDatesBuilder,
	IQuotedCurrencyPair,
	IQuotedCurrencyPairBuilder,
	IObservationSource,
	IObservationSourceBuilder,
	IContractIdentifierExtended,
	IContractIdentifierExtendedBuilder,
	IStrikeBuilder,
	IStrike,
	IPaymentTypeEnum,
	IStrikeSchedule,
	IStrikeScheduleBuilder,
	IAveragingMethodEnum,
	IIntentEnum,
	IExercisePrimitive,
	IExercisePrimitiveBuilder,
	IDayOfWeekEnum,
	IAccountTypeEnum,
	IAdjustedRelativeDateOffset,
	IAdjustedRelativeDateOffsetBuilder,
	ICreditSupportAgreementBuilder,
	ICreditSupportAgreement,
	IPaymentStatusEnum,
	ILinkId,
	ILinkIdBuilder,
	IMasterConfirmationTypeEnum,
	IMatrixTypeEnum,
	IExtendibleProvisionBuilder,
	IExtendibleProvision,
	IInterestShortfallCapEnum,
	IExtensionEvent,
	IExtensionEventBuilder,
	ICreditSeniorityEnum,
	IInterpolationMethodEnum,
	IAdjustableOrAdjustedDate,
	IAdjustableOrAdjustedDateBuilder,
	IBuyerSeller,
	IBuyerSellerBuilder,
	IPaymentBuilder,
	IPayment,
	ILengthUnitEnum,
	ISingleValuationDateBuilder,
	ISingleValuationDate,
	IPayerReceiverEnum,
	IFloatingRateCalculation,
	IFloatingRateCalculationBuilder,
	IEventTestBundleBuilder,
	IEventTestBundle,
	INonDeliverableSettlementBuilder,
	INonDeliverableSettlement,
	IAutomaticExercise,
	IAutomaticExerciseBuilder,
	IMasterConfirmationAnnexTypeEnum,
	ICalculationPeriodFrequency,
	ICalculationPeriodFrequencyBuilder,
	ICashflowRepresentationBuilder,
	ICashflowRepresentation,
	IDiscountingBuilder,
	IDiscounting,
	IYieldCurveMethod,
	IYieldCurveMethodBuilder,
	ICreditSupportAgreementTypeEnum,
	IOptionExercise,
	IOptionExerciseBuilder,
	ICashSettlementPaymentDateBuilder,
	ICashSettlementPaymentDate,
	IDateList,
	IDateListBuilder,
	IDateRange,
	IDateRangeBuilder,
	IPrimitiveEvent,
	IPrimitiveEventBuilder,
	IStubValueBuilder,
	IStubValue,
	IPartyRoleEnum,
	IGrossCashflowBuilder,
	IGrossCashflow,
	INaturalPersonRole,
	INaturalPersonRoleBuilder,
	IQuantityTypeEnum,
	IEntityTypeEnum,
	IFxFixingDate,
	IFxFixingDateBuilder,
	IRelatedParty,
	IRelatedPartyBuilder,
	ISimplePayment,
	ISimplePaymentBuilder,
	IResetRelativeToEnum,
	IProduct,
	IProductBuilder,
	IResetDates,
	IResetDatesBuilder,
	INotDomesticCurrencyBuilder,
	INotDomesticCurrency,
	IAdjustableOrRelativeDate,
	IAdjustableOrRelativeDateBuilder,
	IFraDiscountingEnum,
	IFxLinkedNotionalScheduleBuilder,
	IFxLinkedNotionalSchedule,
	IMultipleExercise,
	IMultipleExerciseBuilder,
	IPCDeliverableObligationCharacBuilder,
	IPCDeliverableObligationCharac,
	IFloatingAmountProvisions,
	IFloatingAmountProvisionsBuilder,
	IDayTypeEnum,
	IFallbackReferencePrice,
	IFallbackReferencePriceBuilder,
	IFixedIncomeSecurityBuilder,
	IFixedIncomeSecurity,
	IBasketName,
	IBasketNameBuilder,
	IQuotationSideEnum,
	ITransferorTransfereeBuilder,
	ITransferorTransferee,
	IFutureValueAmount,
	IFutureValueAmountBuilder,
	IObligationCategoryEnum,
	IPhysicalSettlementTerms,
	IPhysicalSettlementTermsBuilder,
	IOptionalEarlyTerminationAdjustedDates,
	IOptionalEarlyTerminationAdjustedDatesBuilder,
	IOptionSettlement,
	IOptionSettlementBuilder,
	IOptionalEarlyTermination,
	IOptionalEarlyTerminationBuilder,
	IAssetBuilder,
	IAsset,
	IStubPeriodTypeEnum,
	IPartyContractInformationBuilder,
	IPartyContractInformation,
	IFxSpotRateSource,
	IFxSpotRateSourceBuilder,
	ISettlementRateSource,
	ISettlementRateSourceBuilder,
	ICalculationPeriodBuilder,
	ICalculationPeriod,
	IExecutionReferenceBuilder,
	IExecutionReference,
	IExerciseProcedure,
	IExerciseProcedureBuilder,
	ICalculationAgentPartyEnum,
	INonNegativeSchedule,
	INonNegativeScheduleBuilder,
	IContract,
	IContractBuilder,
	IDiscountingTypeEnum,
	IMoney,
	IMoneyBuilder,
	ITriggerEvent,
	ITriggerEventBuilder,
	IResetFrequencyBuilder,
	IResetFrequency,
	ITriggerTypeEnum,
	ICashSettlementReferenceBanks,
	ICashSettlementReferenceBanksBuilder,
	IAssetPoolBuilder,
	IAssetPool,
	IContractualProductBuilder,
	IContractualProduct,
	IOptionPayoutBuilder,
	IOptionPayout,
	IPayoutBuilder,
	IPayout,
	IWeightedAveragingObservation,
	IWeightedAveragingObservationBuilder,
	IPubliclyAvailableInformation,
	IPubliclyAvailableInformationBuilder,
	IParty,
	IPartyBuilder,
	IMessageInformationBuilder,
	IMessageInformation,
	IAsian,
	IAsianBuilder,
	IReferenceBankBuilder,
	IReferenceBank,
	IProtectionTerms,
	IProtectionTermsBuilder,
	IProductIdSourceEnum,
	IRestructuringBuilder,
	IRestructuring,
	ICreditEventNotice,
	ICreditEventNoticeBuilder,
	IStrikeSpread,
	IStrikeSpreadBuilder,
	IResourceLength,
	IResourceLengthBuilder,
	IResourceTypeEnum,
	IAmericanExerciseBuilder,
	IAmericanExercise,
	ICouponTypeEnum,
	ISettlementTypeEnum,
	ICreditEvents,
	ICreditEventsBuilder,
	INotifyingParty,
	INotifyingPartyBuilder,
	IIndependentAmount,
	IIndependentAmountBuilder,
	IContractIdentifierBuilder,
	IContractIdentifier,
	IContractualQuantityBuilder,
	IContractualQuantity,
	IDateRelativeToPaymentDates,
	IDateRelativeToPaymentDatesBuilder,
	IPaymentCalculationPeriod,
	IPaymentCalculationPeriodBuilder,
	IPartialExercise,
	IPartialExerciseBuilder,
	IMortgageSectorEnum,
	ICrossCurrencyTerms,
	ICrossCurrencyTermsBuilder,
	IPartyIdSourceEnum,
	IIssuerTradeId,
	IIssuerTradeIdBuilder,
	IIdentifierBuilder,
	IIdentifier,
	IFrequencyBuilder,
	IFrequency,
	IPassThroughItem,
	IPassThroughItemBuilder,
	IOtherAgreementBuilder,
	IOtherAgreement,
	IContractualSupplementEnum,
	ITaxonomySourceEnum,
	IFailureToPay,
	IFailureToPayBuilder,
	IPayRelativeToEnum,
	IExerciseEventBuilder,
	IExerciseEvent,
	ISpreadSchedule,
	ISpreadScheduleBuilder,
	ILoanParticipation,
	ILoanParticipationBuilder,
	IIdentifierValueBuilder,
	IIdentifierValue,
	ILoan,
	ILoanBuilder,
	IEventEffect,
	IEventEffectBuilder,
	IBusinessCentersBuilder,
	IBusinessCenters,
	IBondOptionStrikeBuilder,
	IBondOptionStrike,
	IMandatoryEarlyTerminationBuilder,
	IMandatoryEarlyTermination,
	IOptionStyleBuilder,
	IOptionStyle,
	IProductIdentifierBuilder,
	IProductIdentifier,
	ISpecifiedCurrencyBuilder,
	ISpecifiedCurrency,
	ICalculationPeriodDates,
	ICalculationPeriodDatesBuilder,
	IStubCalculationPeriodAmount,
	IStubCalculationPeriodAmountBuilder,
	ISettledEntityMatrixSourceEnum,
	ISwapCurveValuation,
	ISwapCurveValuationBuilder,
	IPartyAndAccountReferenceBuilder,
	IPartyAndAccountReference,
	IConstituentWeightBuilder,
	IConstituentWeight,
	IInterestRatePayoutBuilder,
	IInterestRatePayout,
	IAdjustableOrAdjustedOrRelativeDateBuilder,
	IAdjustableOrAdjustedOrRelativeDate,
	IObligations,
	IObligationsBuilder,
	IContractualTermsSupplement,
	IContractualTermsSupplementBuilder,
	ILineage,
	ILineageBuilder,
	ISettledEntityMatrix,
	ISettledEntityMatrixBuilder,
	IReferenceInformationBuilder,
	IReferenceInformation,
	INonNegativeAmountScheduleBuilder,
	INonNegativeAmountSchedule,
	ICashflowTypeEnum,
	IPayerReceiver,
	IPayerReceiverBuilder,
	IBusinessCenterEnum,
	IBasketReferenceInformation,
	IBasketReferenceInformationBuilder,
	IFeaturePayment,
	IFeaturePaymentBuilder,
	IReferencePool,
	IReferencePoolBuilder,
	IPhysicalSettlementPeriod,
	IPhysicalSettlementPeriodBuilder,
	IPackageTypeEnum,
	IEconomicTermsBuilder,
	IEconomicTerms,
	IEquityAsset,
	IEquityAssetBuilder,
	IAdjustableOrRelativeDates,
	IAdjustableOrRelativeDatesBuilder,
	IIndexAnnexSourceEnum,
	IKnock,
	IKnockBuilder,
	ICalculationAgentModelBuilder,
	ICalculationAgentModel,
	ICalendarSpread,
	ICalendarSpreadBuilder,
	IProductTaxonomy,
	IProductTaxonomyBuilder,
	ITransferTypeEnum,
	IBrokerConfirmation,
	IBrokerConfirmationBuilder,
	IDeliverableObligations,
	IDeliverableObligationsBuilder,
	IDateInstancesBuilder,
	IDateInstances,
	IExerciseNoticeBuilder,
	IExerciseNotice,
	IMasterAgreementTypeEnum,
	IFloatingRate,
	IFloatingRateBuilder,
	ICancellationEvent,
	ICancellationEventBuilder,
	IMultipleValuationDates,
	IMultipleValuationDatesBuilder,
	ITriggerBuilder,
	ITrigger,
	IExerciseOutcome,
	IExerciseOutcomeBuilder,
	IExerciseFeeScheduleBuilder,
	IExerciseFeeSchedule,
	IMarketDisruptionEnum,
	IFloatingRateIndexEnum,
	IEventTimestamp,
	IEventTimestampBuilder,
	IQuantoBuilder,
	IQuanto,
	IUnitEnum,
	IDeterminationMethodEnum,
	INotionalSchedule,
	INotionalScheduleBuilder,
	IPeriodEnum,
	IInceptionBuilder,
	IInception,
	IExerciseFeeBuilder,
	IExerciseFee,
	IBusinessDayConventionEnum,
	ICancelableProvisionAdjustedDatesBuilder,
	ICancelableProvisionAdjustedDates,
	IPremiumTypeEnum,
	IQuantity,
	IQuantityBuilder,
	IFinalCalculationPeriodDateAdjustment,
	IFinalCalculationPeriodDateAdjustmentBuilder,
	ICalculationAmount,
	ICalculationAmountBuilder,
	ITriggerTimeTypeEnum,
	IEarlyTerminationProvision,
	IEarlyTerminationProvisionBuilder,
	IPremiumExpression,
	IPremiumExpressionBuilder,
	IFxFeatureBuilder,
	IFxFeature,
	IWeeklyRollConventionEnum,
	IRosetta,
	IIdentifiedAssetBuilder,
	IIdentifiedAsset,
	ICrossCurrencyMethodBuilder,
	ICrossCurrencyMethod,
	IContractReferenceBuilder,
	IContractReference,
	IRestructuringEnum,
	IOptionFeatureBuilder,
	IOptionFeature,
	ILegalEntityBuilder,
	ILegalEntity,
	IStateEnum,
	IMasterConfirmation,
	IMasterConfirmationBuilder,
	ICommodity,
	ICommodityBuilder,
	IBusinessCenterTime,
	IBusinessCenterTimeBuilder,
	INegativeInterestRateTreatmentEnum,
	IGracePeriodExtensionBuilder,
	IGracePeriodExtension,
	IPrincipalExchangesBuilder,
	IPrincipalExchanges,
	IRateTreatmentEnum,
	IBond,
	IBondBuilder,
	IMatrixTermEnum,
	IAveragingInOutEnum,
	IPrincipalExchange,
	IPrincipalExchangeBuilder,
	IReferencePair,
	IReferencePairBuilder,
	ISettlementRateOptionEnum,
	ITermsChangePrimitive,
	ITermsChangePrimitiveBuilder,
	IRounding,
	IRoundingBuilder,
	IProductIdentificationBuilder,
	IProductIdentification,
	IAveragingSchedule,
	IAveragingScheduleBuilder,
	IDateTimeListBuilder,
	IDateTimeList,
	IMakeWholeAmountBuilder,
	IMakeWholeAmount,
	IBondReferenceBuilder,
	IBondReference,
	IValuationPostponement,
	IValuationPostponementBuilder,
	ISettlementProvision,
	ISettlementProvisionBuilder,
	ICashflowBaseBuilder,
	ICashflowBase,
	IResource,
	IResourceBuilder,
	IReferenceObligationBuilder,
	IReferenceObligation,
	IValuationMethodEnum,
	IExecutionBuilder,
	IExecution,
	IInformationSource,
	IInformationSourceBuilder,
	IMandatoryEarlyTerminationAdjustedDates,
	IMandatoryEarlyTerminationAdjustedDatesBuilder,
	IInitialFixingDateBuilder,
	IPeriod,
	IInitialFixingDate,
	IOptionCashSettlement,
	IOptionCashSettlementBuilder,
	INotionalStepRuleBuilder,
	INotionalStepRule,
	IInflationRateCalculation,
	IInflationRateCalculationBuilder,
	IQuantityChangePrimitiveBuilder,
	IQuantityChangePrimitive,
	IDocumentation,
	IDocumentationBuilder,
	ICompoundingMethodEnum,
	IExercisePeriod,
	IExercisePeriodBuilder,
	IAdjustableDate,
	IAdjustableDateBuilder,
	IStubFloatingRate,
	IStubFloatingRateBuilder,
	IDayCountFractionEnum,
	IPriorDateInstanceBuilder,
	IPriorDateInstance,
	IDateRelativeToCalculationPeriodDates,
	IDateRelativeToCalculationPeriodDatesBuilder,
	INaturalPersonRoleEnum,
	ICompositeBuilder,
	IComposite,
	IAveragingObservationListBuilder,
	IAveragingObservationList,
	ITransferStatusEnum,
	IListedHeader,
	IListedHeaderBuilder,
	IOptionPhysicalSettlementBuilder,
	IOptionPhysicalSettlement,
	IPackageInformation,
	IPackageInformationBuilder,
	ICashflow,
	ICashflowBuilder,
	ICommodityReferencePriceEnum,
	IPeriodBuilder,
	ICashSettlementTerms,
	ICashSettlementTermsBuilder,
	IRateObservationBuilder,
	IRateObservation,
	IMasterAgreement,
	IMasterAgreementBuilder,
	IScheduleBuilder,
	ISchedule,
	IOptionDenomination,
	IOptionDenominationBuilder
} from './org.isda.cdm@0.2.0';

// interfaces
export interface IConcept {
   $class: string;
}

export type ConceptUnion = IAdjustableDates | 
IAdjustableDatesBuilder | 
IAmountSchedule | 
IAmountScheduleBuilder | 
INonNegativeStep | 
INonNegativeStepBuilder | 
IComputedAmount | 
IComputedAmountBuilder | 
IInterestShortFall | 
IInterestShortFallBuilder | 
ITradeHeaderBuilder | 
ITradeHeader | 
IPaymentDetail | 
IPaymentDetailBuilder | 
IPaymentRule | 
IPaymentRuleBuilder | 
IAllocationOutcome | 
IAllocationOutcomeBuilder | 
IAccount | 
IAccountBuilder | 
IContractualDefinitionsEnum | 
IBermudaExercise | 
IBermudaExerciseBuilder | 
IContractualMatrix | 
IContractualMatrixBuilder | 
IPhysicalExercise | 
IPhysicalExerciseBuilder | 
IInterestRateCurveBuilder | 
IInterestRateCurve | 
IRelativeDateOffset | 
IRelativeDateOffsetBuilder | 
IPayoutLineage | 
IPayoutLineageBuilder | 
IManualExercise | 
IManualExerciseBuilder | 
IGeneralTerms | 
IGeneralTermsBuilder | 
IListedProduct | 
IListedProductBuilder | 
IRoundingDirectionEnum | 
INewTradePrimitiveBuilder | 
INewTradePrimitive | 
IIndexReferenceInformationBuilder | 
IIndexReferenceInformation | 
IContractOrContractReference | 
IContractOrContractReferenceBuilder | 
IStepRelativeToEnum | 
ITransactedPriceBuilder | 
ITransactedPrice | 
IStep | 
IStepBuilder | 
IFxLinkedNotionalAmount | 
IFxLinkedNotionalAmountBuilder | 
IEarlyTerminationEvent | 
IEarlyTerminationEventBuilder | 
IObservationPrimitive | 
IObservationPrimitiveBuilder | 
IValuationDate | 
IValuationDateBuilder | 
IPartyRole | 
IPartyRoleBuilder | 
ITimeUnitEnum | 
ITimeZone | 
ITimeZoneBuilder | 
ITranche | 
ITrancheBuilder | 
IStrategyFeature | 
IStrategyFeatureBuilder | 
IFloatingAmountEvents | 
IFloatingAmountEventsBuilder | 
ICollateral | 
ICollateralBuilder | 
ICurveBuilder | 
ICurve | 
IPassThrough | 
IPassThroughBuilder | 
IQuotationStyleEnum | 
IReferencePoolItemBuilder | 
IReferencePoolItem | 
IStubPeriod | 
IStubPeriodBuilder | 
IEvent | 
IEventBuilder | 
ITransfer | 
ITransferBuilder | 
ISpreadScheduleTypeEnum | 
IAdditionalFixedPayments | 
IAdditionalFixedPaymentsBuilder | 
IEuropeanExerciseBuilder | 
IEuropeanExercise | 
ICreditSeniorityTradingEnum | 
IBarrier | 
IBarrierBuilder | 
IQuoteBasisEnum | 
IBusinessDayAdjustments | 
IBusinessDayAdjustmentsBuilder | 
IPeriodExtendedEnum | 
IFloatingRateDefinition | 
IFloatingRateDefinitionBuilder | 
IAllocationPrimitiveBuilder | 
IAllocationPrimitive | 
IFxRateBuilder | 
IFxRate | 
IExtendibleProvisionAdjustedDatesBuilder | 
IExtendibleProvisionAdjustedDates | 
IRelativeDatesBuilder | 
IRelativeDates | 
IActionEnum | 
IOptionStrike | 
IOptionStrikeBuilder | 
IResetPrimitive | 
IResetPrimitiveBuilder | 
IAveragingPeriodBuilder | 
IAveragingPeriod | 
IPercentageRuleBuilder | 
IPercentageRule | 
ICalculationAgent | 
ICalculationAgentBuilder | 
INaturalPerson | 
INaturalPersonBuilder | 
IBusinessDateRangeBuilder | 
IBusinessDateRange | 
ICancelableProvision | 
ICancelableProvisionBuilder | 
IBrokerConfirmationTypeEnum | 
IQuotationRateTypeEnum | 
IPriceSourceDisruptionBuilder | 
IPriceSourceDisruption | 
ICreditDefaultPayout | 
ICreditDefaultPayoutBuilder | 
ICashPriceMethodBuilder | 
ICashPriceMethod | 
ITimeTypeEnum | 
IInformationProviderEnum | 
IRollConventionEnum | 
IMortgage | 
IMortgageBuilder | 
IAssetClassEnum | 
IGoverningLawEnum | 
ICategoryEnum | 
IPaymentDiscounting | 
IPaymentDiscountingBuilder | 
IReferenceSwapCurve | 
IReferenceSwapCurveBuilder | 
IInterestRate | 
IInterestRateBuilder | 
IPartyContractIdentifierBuilder | 
IPartyContractIdentifier | 
IOptionTypeEnum | 
IConvertibleBondBuilder | 
IConvertibleBond | 
IOffset | 
IOffsetBuilder | 
IStandardSettlementStyleEnum | 
IPaymentDates | 
IPaymentDatesBuilder | 
IQuotedCurrencyPair | 
IQuotedCurrencyPairBuilder | 
IObservationSource | 
IObservationSourceBuilder | 
IContractIdentifierExtended | 
IContractIdentifierExtendedBuilder | 
IStrikeBuilder | 
IStrike | 
IPaymentTypeEnum | 
IStrikeSchedule | 
IStrikeScheduleBuilder | 
IAveragingMethodEnum | 
IIntentEnum | 
IExercisePrimitive | 
IExercisePrimitiveBuilder | 
IDayOfWeekEnum | 
IAccountTypeEnum | 
IAdjustedRelativeDateOffset | 
IAdjustedRelativeDateOffsetBuilder | 
ICreditSupportAgreementBuilder | 
ICreditSupportAgreement | 
IPaymentStatusEnum | 
ILinkId | 
ILinkIdBuilder | 
IMasterConfirmationTypeEnum | 
IMatrixTypeEnum | 
IExtendibleProvisionBuilder | 
IExtendibleProvision | 
IInterestShortfallCapEnum | 
IExtensionEvent | 
IExtensionEventBuilder | 
ICreditSeniorityEnum | 
IInterpolationMethodEnum | 
IAdjustableOrAdjustedDate | 
IAdjustableOrAdjustedDateBuilder | 
IBuyerSeller | 
IBuyerSellerBuilder | 
IPaymentBuilder | 
IPayment | 
ILengthUnitEnum | 
ISingleValuationDateBuilder | 
ISingleValuationDate | 
IPayerReceiverEnum | 
IFloatingRateCalculation | 
IFloatingRateCalculationBuilder | 
IEventTestBundleBuilder | 
IEventTestBundle | 
INonDeliverableSettlementBuilder | 
INonDeliverableSettlement | 
IAutomaticExercise | 
IAutomaticExerciseBuilder | 
IMasterConfirmationAnnexTypeEnum | 
ICalculationPeriodFrequency | 
ICalculationPeriodFrequencyBuilder | 
ICashflowRepresentationBuilder | 
ICashflowRepresentation | 
IDiscountingBuilder | 
IDiscounting | 
IYieldCurveMethod | 
IYieldCurveMethodBuilder | 
ICreditSupportAgreementTypeEnum | 
IOptionExercise | 
IOptionExerciseBuilder | 
ICashSettlementPaymentDateBuilder | 
ICashSettlementPaymentDate | 
IDateList | 
IDateListBuilder | 
IDateRange | 
IDateRangeBuilder | 
IPrimitiveEvent | 
IPrimitiveEventBuilder | 
IStubValueBuilder | 
IStubValue | 
IPartyRoleEnum | 
IGrossCashflowBuilder | 
IGrossCashflow | 
INaturalPersonRole | 
INaturalPersonRoleBuilder | 
IQuantityTypeEnum | 
IEntityTypeEnum | 
IFxFixingDate | 
IFxFixingDateBuilder | 
IRelatedParty | 
IRelatedPartyBuilder | 
ISimplePayment | 
ISimplePaymentBuilder | 
IResetRelativeToEnum | 
IProduct | 
IProductBuilder | 
IResetDates | 
IResetDatesBuilder | 
INotDomesticCurrencyBuilder | 
INotDomesticCurrency | 
IAdjustableOrRelativeDate | 
IAdjustableOrRelativeDateBuilder | 
IFraDiscountingEnum | 
IFxLinkedNotionalScheduleBuilder | 
IFxLinkedNotionalSchedule | 
IMultipleExercise | 
IMultipleExerciseBuilder | 
IPCDeliverableObligationCharacBuilder | 
IPCDeliverableObligationCharac | 
IFloatingAmountProvisions | 
IFloatingAmountProvisionsBuilder | 
IDayTypeEnum | 
IFallbackReferencePrice | 
IFallbackReferencePriceBuilder | 
IFixedIncomeSecurityBuilder | 
IFixedIncomeSecurity | 
IBasketName | 
IBasketNameBuilder | 
IQuotationSideEnum | 
ITransferorTransfereeBuilder | 
ITransferorTransferee | 
IFutureValueAmount | 
IFutureValueAmountBuilder | 
IObligationCategoryEnum | 
IPhysicalSettlementTerms | 
IPhysicalSettlementTermsBuilder | 
IOptionalEarlyTerminationAdjustedDates | 
IOptionalEarlyTerminationAdjustedDatesBuilder | 
IOptionSettlement | 
IOptionSettlementBuilder | 
IOptionalEarlyTermination | 
IOptionalEarlyTerminationBuilder | 
IAssetBuilder | 
IAsset | 
IStubPeriodTypeEnum | 
IPartyContractInformationBuilder | 
IPartyContractInformation | 
IFxSpotRateSource | 
IFxSpotRateSourceBuilder | 
ISettlementRateSource | 
ISettlementRateSourceBuilder | 
ICalculationPeriodBuilder | 
ICalculationPeriod | 
IExecutionReferenceBuilder | 
IExecutionReference | 
IExerciseProcedure | 
IExerciseProcedureBuilder | 
ICalculationAgentPartyEnum | 
INonNegativeSchedule | 
INonNegativeScheduleBuilder | 
IContract | 
IContractBuilder | 
IDiscountingTypeEnum | 
IMoney | 
IMoneyBuilder | 
ITriggerEvent | 
ITriggerEventBuilder | 
IResetFrequencyBuilder | 
IResetFrequency | 
ITriggerTypeEnum | 
ICashSettlementReferenceBanks | 
ICashSettlementReferenceBanksBuilder | 
IAssetPoolBuilder | 
IAssetPool | 
IContractualProductBuilder | 
IContractualProduct | 
IOptionPayoutBuilder | 
IOptionPayout | 
IPayoutBuilder | 
IPayout | 
IWeightedAveragingObservation | 
IWeightedAveragingObservationBuilder | 
IPubliclyAvailableInformation | 
IPubliclyAvailableInformationBuilder | 
IParty | 
IPartyBuilder | 
IMessageInformationBuilder | 
IMessageInformation | 
IAsian | 
IAsianBuilder | 
IReferenceBankBuilder | 
IReferenceBank | 
IProtectionTerms | 
IProtectionTermsBuilder | 
IProductIdSourceEnum | 
IRestructuringBuilder | 
IRestructuring | 
ICreditEventNotice | 
ICreditEventNoticeBuilder | 
IStrikeSpread | 
IStrikeSpreadBuilder | 
IResourceLength | 
IResourceLengthBuilder | 
IResourceTypeEnum | 
IAmericanExerciseBuilder | 
IAmericanExercise | 
ICouponTypeEnum | 
ISettlementTypeEnum | 
ICreditEvents | 
ICreditEventsBuilder | 
INotifyingParty | 
INotifyingPartyBuilder | 
IIndependentAmount | 
IIndependentAmountBuilder | 
IContractIdentifierBuilder | 
IContractIdentifier | 
IContractualQuantityBuilder | 
IContractualQuantity | 
IDateRelativeToPaymentDates | 
IDateRelativeToPaymentDatesBuilder | 
IPaymentCalculationPeriod | 
IPaymentCalculationPeriodBuilder | 
IPartialExercise | 
IPartialExerciseBuilder | 
IMortgageSectorEnum | 
ICrossCurrencyTerms | 
ICrossCurrencyTermsBuilder | 
IPartyIdSourceEnum | 
IIssuerTradeId | 
IIssuerTradeIdBuilder | 
IIdentifierBuilder | 
IIdentifier | 
IFrequencyBuilder | 
IFrequency | 
IPassThroughItem | 
IPassThroughItemBuilder | 
IOtherAgreementBuilder | 
IOtherAgreement | 
IContractualSupplementEnum | 
ITaxonomySourceEnum | 
IFailureToPay | 
IFailureToPayBuilder | 
IPayRelativeToEnum | 
IExerciseEventBuilder | 
IExerciseEvent | 
ISpreadSchedule | 
ISpreadScheduleBuilder | 
ILoanParticipation | 
ILoanParticipationBuilder | 
IIdentifierValueBuilder | 
IIdentifierValue | 
ILoan | 
ILoanBuilder | 
IEventEffect | 
IEventEffectBuilder | 
IBusinessCentersBuilder | 
IBusinessCenters | 
IBondOptionStrikeBuilder | 
IBondOptionStrike | 
IMandatoryEarlyTerminationBuilder | 
IMandatoryEarlyTermination | 
IOptionStyleBuilder | 
IOptionStyle | 
IProductIdentifierBuilder | 
IProductIdentifier | 
ISpecifiedCurrencyBuilder | 
ISpecifiedCurrency | 
ICalculationPeriodDates | 
ICalculationPeriodDatesBuilder | 
IStubCalculationPeriodAmount | 
IStubCalculationPeriodAmountBuilder | 
ISettledEntityMatrixSourceEnum | 
ISwapCurveValuation | 
ISwapCurveValuationBuilder | 
IPartyAndAccountReferenceBuilder | 
IPartyAndAccountReference | 
IConstituentWeightBuilder | 
IConstituentWeight | 
IInterestRatePayoutBuilder | 
IInterestRatePayout | 
IAdjustableOrAdjustedOrRelativeDateBuilder | 
IAdjustableOrAdjustedOrRelativeDate | 
IObligations | 
IObligationsBuilder | 
IContractualTermsSupplement | 
IContractualTermsSupplementBuilder | 
ILineage | 
ILineageBuilder | 
ISettledEntityMatrix | 
ISettledEntityMatrixBuilder | 
IReferenceInformationBuilder | 
IReferenceInformation | 
INonNegativeAmountScheduleBuilder | 
INonNegativeAmountSchedule | 
ICashflowTypeEnum | 
IPayerReceiver | 
IPayerReceiverBuilder | 
IBusinessCenterEnum | 
IBasketReferenceInformation | 
IBasketReferenceInformationBuilder | 
IFeaturePayment | 
IFeaturePaymentBuilder | 
IReferencePool | 
IReferencePoolBuilder | 
IPhysicalSettlementPeriod | 
IPhysicalSettlementPeriodBuilder | 
IPackageTypeEnum | 
IEconomicTermsBuilder | 
IEconomicTerms | 
IEquityAsset | 
IEquityAssetBuilder | 
IAdjustableOrRelativeDates | 
IAdjustableOrRelativeDatesBuilder | 
IIndexAnnexSourceEnum | 
IKnock | 
IKnockBuilder | 
ICalculationAgentModelBuilder | 
ICalculationAgentModel | 
ICalendarSpread | 
ICalendarSpreadBuilder | 
IProductTaxonomy | 
IProductTaxonomyBuilder | 
ITransferTypeEnum | 
IBrokerConfirmation | 
IBrokerConfirmationBuilder | 
IDeliverableObligations | 
IDeliverableObligationsBuilder | 
IDateInstancesBuilder | 
IDateInstances | 
IExerciseNoticeBuilder | 
IExerciseNotice | 
IMasterAgreementTypeEnum | 
IFloatingRate | 
IFloatingRateBuilder | 
ICancellationEvent | 
ICancellationEventBuilder | 
IMultipleValuationDates | 
IMultipleValuationDatesBuilder | 
ITriggerBuilder | 
ITrigger | 
IExerciseOutcome | 
IExerciseOutcomeBuilder | 
IExerciseFeeScheduleBuilder | 
IExerciseFeeSchedule | 
IMarketDisruptionEnum | 
IFloatingRateIndexEnum | 
IEventTimestamp | 
IEventTimestampBuilder | 
IQuantoBuilder | 
IQuanto | 
IUnitEnum | 
IDeterminationMethodEnum | 
INotionalSchedule | 
INotionalScheduleBuilder | 
IPeriodEnum | 
IInceptionBuilder | 
IInception | 
IExerciseFeeBuilder | 
IExerciseFee | 
IBusinessDayConventionEnum | 
ICancelableProvisionAdjustedDatesBuilder | 
ICancelableProvisionAdjustedDates | 
IPremiumTypeEnum | 
IQuantity | 
IQuantityBuilder | 
IFinalCalculationPeriodDateAdjustment | 
IFinalCalculationPeriodDateAdjustmentBuilder | 
ICalculationAmount | 
ICalculationAmountBuilder | 
ITriggerTimeTypeEnum | 
IEarlyTerminationProvision | 
IEarlyTerminationProvisionBuilder | 
IPremiumExpression | 
IPremiumExpressionBuilder | 
IFxFeatureBuilder | 
IFxFeature | 
IWeeklyRollConventionEnum | 
IRosetta | 
IIdentifiedAssetBuilder | 
IIdentifiedAsset | 
ICrossCurrencyMethodBuilder | 
ICrossCurrencyMethod | 
IContractReferenceBuilder | 
IContractReference | 
IRestructuringEnum | 
IOptionFeatureBuilder | 
IOptionFeature | 
ILegalEntityBuilder | 
ILegalEntity | 
IStateEnum | 
IMasterConfirmation | 
IMasterConfirmationBuilder | 
ICommodity | 
ICommodityBuilder | 
IBusinessCenterTime | 
IBusinessCenterTimeBuilder | 
INegativeInterestRateTreatmentEnum | 
IGracePeriodExtensionBuilder | 
IGracePeriodExtension | 
IPrincipalExchangesBuilder | 
IPrincipalExchanges | 
IRateTreatmentEnum | 
IBond | 
IBondBuilder | 
IMatrixTermEnum | 
IAveragingInOutEnum | 
IPrincipalExchange | 
IPrincipalExchangeBuilder | 
IReferencePair | 
IReferencePairBuilder | 
ISettlementRateOptionEnum | 
ITermsChangePrimitive | 
ITermsChangePrimitiveBuilder | 
IRounding | 
IRoundingBuilder | 
IProductIdentificationBuilder | 
IProductIdentification | 
IAveragingSchedule | 
IAveragingScheduleBuilder | 
IDateTimeListBuilder | 
IDateTimeList | 
IMakeWholeAmountBuilder | 
IMakeWholeAmount | 
IBondReferenceBuilder | 
IBondReference | 
IValuationPostponement | 
IValuationPostponementBuilder | 
ISettlementProvision | 
ISettlementProvisionBuilder | 
ICashflowBaseBuilder | 
ICashflowBase | 
IResource | 
IResourceBuilder | 
IReferenceObligationBuilder | 
IReferenceObligation | 
IValuationMethodEnum | 
IExecutionBuilder | 
IExecution | 
IInformationSource | 
IInformationSourceBuilder | 
IMandatoryEarlyTerminationAdjustedDates | 
IMandatoryEarlyTerminationAdjustedDatesBuilder | 
IInitialFixingDateBuilder | 
IPeriod | 
IInitialFixingDate | 
IOptionCashSettlement | 
IOptionCashSettlementBuilder | 
INotionalStepRuleBuilder | 
INotionalStepRule | 
IInflationRateCalculation | 
IInflationRateCalculationBuilder | 
IQuantityChangePrimitiveBuilder | 
IQuantityChangePrimitive | 
IDocumentation | 
IDocumentationBuilder | 
ICompoundingMethodEnum | 
IExercisePeriod | 
IExercisePeriodBuilder | 
IAdjustableDate | 
IAdjustableDateBuilder | 
IStubFloatingRate | 
IStubFloatingRateBuilder | 
IDayCountFractionEnum | 
IPriorDateInstanceBuilder | 
IPriorDateInstance | 
IDateRelativeToCalculationPeriodDates | 
IDateRelativeToCalculationPeriodDatesBuilder | 
INaturalPersonRoleEnum | 
ICompositeBuilder | 
IComposite | 
IAveragingObservationListBuilder | 
IAveragingObservationList | 
ITransferStatusEnum | 
IListedHeader | 
IListedHeaderBuilder | 
IOptionPhysicalSettlementBuilder | 
IOptionPhysicalSettlement | 
IPackageInformation | 
IPackageInformationBuilder | 
ICashflow | 
ICashflowBuilder | 
ICommodityReferencePriceEnum | 
IPeriodBuilder | 
ICashSettlementTerms | 
ICashSettlementTermsBuilder | 
IRateObservationBuilder | 
IRateObservation | 
IMasterAgreement | 
IMasterAgreementBuilder | 
IScheduleBuilder | 
ISchedule | 
IOptionDenomination | 
IOptionDenominationBuilder;

export interface IAsset extends IConcept {
   $identifier: string;
}

export interface IParticipant extends IConcept {
   $identifier: string;
}

export interface ITransaction extends IConcept {
   $timestamp: Date;
}

export interface IEvent extends IConcept {
   $timestamp: Date;
}

